---
# host definitions
all:  # keys must be unique, i.e. only one 'hosts' per group
  hosts:
    dns.cm.local:
      ansible_host: 192.168.124.5
    build.cm.local:
    studio.cm.local:
    cms.cm.local:
    mls.cm.local:
    rls-01.cm.local:
    monitoring.cm.local:
    dba-frontend.cm.local:
    dba-backend.cm.local:
  # vars for all hosts
  vars:
    ansible_ssh_user: ansible
    ansible_ssh_private_key_file: "{{ lookup('env', 'SSH_PRIVATE_KEY') | default(omit) }}"
    # ansible_ssh_pass: "{{ vault__ssh_password.ansible }}"
    ansible_become_pass: "{{ vault__become.password }}"
    ansible_python_interpreter: /usr/bin/python3

  children:
    dns:
      hosts:
        dns.cm.local:
    build:
      hosts:
        build.cm.local:
    registry:
      hosts:
        build.cm.local:
    monitoring:
      hosts:
        monitoring.cm.local:

...
